%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%define section .Final
%global reltag _redhat_3
%global meadversion %{version}%{?section}_redhat_3
%global mavenversion %{version}%{?section}-redhat-3

%global mavengroup org.jboss.osgi.deployment
%global artifact0 jbosgi-deployment

%global title JBossOSGi Deployment

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 1.1.0.Final-redhat-3

Name:    jbosgi-deployment
Version: 1.1.0
Release: 2%{?section}%{reltag}%{?dist}.3
Epoch:   0

License: LGPL
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.osgi.deployment-jbosgi-deployment-1.1.0.Final-redhat-3-sources.zip
Source101: org.jboss.osgi.deployment-jbosgi-deployment-1.1.0.Final-redhat-3-patches.zip
Source102: jbosgi-deployment-1.1.0.Final-redhat-3.pom
Source103: jbosgi-deployment-1.1.0.Final-redhat-3-sources.jar
Source104: jbosgi-deployment-1.1.0.Final-redhat-3.jar
Source105: jbosgi-deployment-1.1.0.Final-redhat-3-javadoc.jar
%endif

URL:     http://community.jboss.org/wiki/JBossOSGi

BuildRequires: unzip

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
The JBoss OSGi deployment support.

%if %without mead
%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java

Requires: jpackage-utils

%description sources
Sources of %{title}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%endif

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

# javadoc
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*
%if %without mead
%exclude %{_javadir}*/*-javadoc.jar
%exclude %{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%endif
%{_mavenpomdir}/*
%{_mavendepmapfragdir}

%if %without mead
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*
%{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.12.Final-2_redhat_1.2
- Populate java-signed

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.12.Final-2_redhat_1.1
- Rebuild to change jars install path

* Fri Mar 02 2012 Lin Gao <lgao@redhat.com> - 0:1.0.12.Final-1_redhat_1.2
- Upgrade to 1.0.12.Final

* Fri Feb 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.10-1_redhat_1.2
- Rebuild

* Wed Sep 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.10-1_redhat_1
- Build for Werewolf
